#include "MainWindow.h"
#include "ui_MainWindow.h"
#include <QMessageBox>
#include <QTranslator>
#include <QLibraryInfo>
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
  QMainWindow(parent),
  ui(new Ui::MainWindow)
{
  ui->setupUi(this);
  QTranslator translator;
  QLocale locale("fr"); // FRENCH

  bool success_load = translator.load("qt_" + locale.name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath));
  qDebug() << "success_load" << success_load;
  qApp->installTranslator(&translator);

  QMessageBox::question(this,tr("title"),tr("message"),
                        QMessageBox::Yes| QMessageBox::No,QMessageBox::No);
  // standard buttons are shown in English (expected: French)

}

MainWindow::~MainWindow()
{
  delete ui;
}
